<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Opd extends Model
{
    use HasFactory;

    protected $primaryKey = 'id_opd';
    public $incrementing = true; // default true, tapi tetap bisa disebutkan eksplisit
    protected $keyType = 'int';

    protected $fillable = [
        'nama',
        'alamat',
        
    ];

    // opd n admin 1:1
    public function admin()
    {
        return $this->hasOne(Admin::class,'id_admin');
    }

    // opd membuat pengajuan 1:N
    public function pengajuan()
    {
        return $this->hasMany(Pengajuan::class);
    }

    // opd mengikuti meeting monev 1:N
    public function meetingMonev()
    {
        return $this->hasMany(MeetingMonev::class);
    }

    // opd memiliki subdomain 1:N
    public function subdomain()
    {
        return $this->hasMany(Subdomain::class);
    }

    // opd memiliki kategori informasi 1:1
    public function kategoriInformasi()
    {
        return $this->hasOne(KategoriInformasi::class,'id_kategori');
    }
}
