<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class Superadmin extends Authenticatable
{
    
    use HasApiTokens, HasFactory, Notifiable;

    protected $table = 'superadmins'; // opsional jika nama tabel tidak sesuai plural default

    protected $primaryKey = 'id_superadmin'; // ✅ Penting

    public $incrementing = true; // opsional: pastikan true jika id_superadmin auto increment
    protected $keyType = 'int';  // atau 'string' jika id berbasis UUID

    protected $fillable = [
        'id_bidang',
        'nip',
        'nama',
        'email',
        'password',
    ];

    protected $hidden = [
        'password',
        'remember_token',
    ];

    protected $casts = [
        'password' => 'hashed',
    ];

    public function bidang()
    {
        return $this->belongsTo(BidangLayanan::class, 'id_bidang');
    }

    // Superadmin memberikan tanggapan permohonan 1:N
    public function tanggapanPermohonan()
    {
        return $this->hasMany(TanggapanPermohonan::class);
    }
}
