<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('admins', function (Blueprint $table) {
            $table->id('id_admin');
            $table->string('nip',30)->unique();
            $table->unsignedBigInteger('id_opd');
            $table->unsignedBigInteger('id_bidang');
            $table->string('password',100);
            $table->string('nama',100);
            $table->string('email',100)->unique();
            $table->timestamps();

            $table->foreign('id_opd')->references('id_opd')->on('opds');
            $table->foreign('id_bidang')->references('id_bidang')->on('bidang_layanans');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('admins');
    }
};
