<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('permohonans', function (Blueprint $table) {
            $table->id('id_permohonan');
            $table->unsignedBigInteger('id_user');
            $table->text('rincian_informasi');
            $table->text('tujuan_permohonan');
            $table->string('metode_salinan', 120);
            $table->string('status', 120);
            $table->unsignedBigInteger('id_kategori');
            $table->timestamp('created_at')->useCurrent();

            // Foreign key constraints
            $table->foreign('id_user')->references('id_user')->on('users')->onDelete('cascade');
            $table->foreign('id_kategori')->references('id_kategori')->on('kategori_infos')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('permohonans');
    }
};
