<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tanggapans', function (Blueprint $table) {
            $table->id('id_tanggapan', 20)->primary();
            $table->unsignedBigInteger('id_permohonan');
            $table->unsignedBigInteger('id_admin')->nullable(); // boleh null jika ditangani superadmin
            $table->unsignedBigInteger('id_superadmin')->nullable();
            $table->text('isi_tanggapan');
            $table->string('status', 20);
            $table->timestamp('created_at')->useCurrent();
            $table->string('file_tanggapan', 255)->nullable();

            $table->foreign('id_permohonan')->references('id_permohonan')->on('permohonans')->onDelete('cascade');
            $table->foreign('id_admin')->references('id_admin')->on('admins')->onDelete('set null');
            $table->foreign('id_superadmin')->references('id_superadmin')->on('superadmins')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tanggapans');
    }
};
