<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('keberatans', function (Blueprint $table) {
            $table->id('id_keberatan');
            $table->unsignedBigInteger('id_permohonan');
            $table->unsignedBigInteger('id_user');
            $table->text('alasan');
            $table->string('status', 120);
            $table->timestamp('created_at')->useCurrent();

            // Foreign key constraints
            $table->foreign('id_permohonan')->references('id_permohonan')->on('permohonans')->onDelete('cascade');
            $table->foreign('id_user')->references('id_user')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('keberatans');
    }
};
