<?php

namespace Database\Seeders;

use App\Models\Admin;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class AdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Schema::disableForeignKeyConstraints();
        Admin::truncate();
        Schema::enableForeignKeyConstraints();

        $admins = [
            [
                'nip' => 1990081720200511,
                'id_opd' => 1,
                'id_bidang' => 1,
                'nama' => 'admin',
                'email' => 'admin@mail.com',
                'password' => Hash::make('password'),
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'nip' => 1990081720200512,
                'id_opd' => 1,
                'id_bidang' => 2,
                'nama' => 'admin2',
                'email' => 'admin2@mail.com',
                'password' => Hash::make('password'),
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'nip' => 1990081720200513,
                'id_opd' => 1,
                'id_bidang' => 3,
                'nama' => 'admin3',
                'email' => 'admin3@mail.com',
                'password' => Hash::make('password'),
                'created_at' => now(),
                'updated_at' => now()
            ]
        ];

        foreach ($admins as $admin) {
            Admin::create($admin);
        }
    }
}
