<?php

namespace Database\Seeders;

use App\Models\Superadmin;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Hash;

class SuperadminSeeder extends Seeder
{
    public function run(): void
    {
        Schema::disableForeignKeyConstraints();
        Superadmin::truncate();
        Schema::enableForeignKeyConstraints();

        $superadmins = [
            [
                'id_bidang' => 1,
                'nip' => 1990081720200410,
                'nama' => 'Superadmin',
                'email' => 'superadmin@mail.com',
                'password' => Hash::make('password'),
            ],
            [
                'id_bidang' => 2,
                'nip' => 1990081720200412,
                'nama' => 'Superadmin2',
                'email' => 'superadmin2@mail.com',
                'password' => Hash::make('password2'),
            ],
            [
                'id_bidang' => 3,
                'nip' => 1990081720200413,
                'nama' => 'Superadmin3',
                'email' => 'superadmin3@mail.com',
                'password' => Hash::make('password3'),
            ]
        ];

        foreach ($superadmins as $superadmin) {
            Superadmin::create($superadmin);
        }
    }
}
